#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2015. Wszelkie prawa zastrzeżone.
#
#  Note to U.S. Government Users Restricted Rights:
#  Use, duplication or disclosure restricted by GSA ADP Schedule
#  Contract with IBM Corp.
#  *******************************************************************************
# NLS_MESSAGEFORMAT_NONE
# NLS_ENCODING=UTF-8


# #############################################################
# #
# # Zdefiniuj zmienne środowiskowe odpowiadające parametrom
# # skryptu ldx_upgrade.sh i ich domyślnym wartościom
# #
# #===========================================================
# #
# # Ten plik jest odczytywany na początku wykonania skryptu
# # ldx_upgrade.sh. Ustawia on po jednej zmiennej
# # środowiskowej dla każdego poprawnego parametru
# # o zdefiniowanej wstępnie wartości domyślnej.
# #
# # Użytkownicy mogą modyfikować wartość domyślną w celu
# # uruchomienia skryptu ldx_upgrade.sh z własnymi
# # wartościami bez konieczności ręcznego wprowadzania
# # parametru i jego odpowiedniej wartości w wierszu komend.
# #
# # OSTRZEŻENIE:
# # Nie wszystkie zmienne są wymagane dla każdej
# # aplikacji.  Należy przeczytać uważnie każdy komentarz przed
# # zmodyfikowaniem wartości.
# #
# #############################################################

# Parametr: -oldApplicationHome
# Składnia: -oldApplicationHome <ścieżka do katalogu>
# Opis:
#  Pełna ścieżka do katalogu głównego aplikacji w starszej instalacji.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - to jest parametr obowiązkowy
#  - <ścieżka do katalogu> musi być ścieżką do istniejącego katalogu zakończoną łańcuchem server/conf
# np. /QIBM/UserData/JazzTeamServer301/server/conf
#
OLD_APPLICATION_HOME=

# Parametr: -newApplicationHome
# Składnia: -newApplicationHome <ścieżka do katalogu>
# Opis:
# 	Ścieżka do katalogu głównego aplikacji w nowej instalacji.
# Wartość domyślna:
# 	conf # Ograniczenia:
#  - akceptowany jedynie w przypadku aktualizacji aplikacji RTC, QM, LDX i RM
#  - jeśli jest akceptowany, jest to parametr obowiązkowy
#  - <ścieżka do katalogu> musi być ścieżką do istniejącego katalogu zakończoną łańcuchem server/conf,
#    np. /Jazz/IBM/RRC_4.0/JazzTeamServer/server/conf
#
NEW_APPLICATION_HOME="$START_DIR/conf"
